module Hence
  class Firmware
    {% begin %}
      {% base_dir = "#{__DIR__}/firmwares" %}

      FIRMWARES = {
        {% for firmware_name in run("./macros/get_firmwares.cr", base_dir).stringify.lines %}
          {{ firmware_name }} => Firmware.from_yaml({{ read_file("#{base_dir.id}/#{firmware_name.id}.yml") }}),
        {% end %}
      } of String => Firmware
    {% end %}
  end
end
